Subject: comment on unmanaged analysis presentation/doc

From: Marc Blanchet <[email-masked]>
Date: Wed, 18 Sep 2002 20:17:20 -0400

draft-huitema-ngtrans-unmaneval-00.txt

case A where IPv4 nat is present:
 - teredo is one mechanism. In fact, what is needed is ipv6 over udp-ipv4 
(i.e. nat traversal).
 - in this space, tsp with udp-ipv4 encapsulation is also a viable 
solution. It also enables the unmanaged network to receive automatic data 
needed for the unmanaged network: i.e. ipv6 network prefix for example. 
(reference = draft-parent-blanchet-ngtrans-tsp-teredo-00.txt).
 - the unmanaged draft says: "A variant of the [TEREDO] technology could be 
used to establish
tunnels over UDP when the client cannot use a global IPv4 address;
this variant is however not standardized."
  (if this text refers to our draft, then the comment is not appropriate: 
i.e. the variant is not standardized. teredo is also not standardized yet.)

3.1.7 DNS delegation
 tsp does this. should be looked at. I could provide some text if you want.

Marc.

------------------------------------------
Marc Blanchet
Viagénie
tel: +1-418-656-9254x225

------------------------------------------
http://www.freenet6.net: IPv6 connectivity
------------------------------------------
http://www.normos.org: IETF(RFC,draft),
  IANA,W3C,... standards.
------------------------------------------

---

From: Pekka Savola <[email-masked]>
Date: Thu, 19 Sep 2002 03:47:06 +0300 (EEST)

> i.e. the variant is not standardized. teredo is also not standardized yet.)

Teredo does more than just sets up a tunnel.  In the case of NAT, in 
particular, keeping the pipe open is also an important task.  The draft 
does not explicitly address this, I believe.

Further discussion on teredo/tsp should probably be sent to ngtrans.

-- 
Pekka Savola                 "Tell me of difficulties surmounted,
Netcore Oy                   not those you stumble over and fall"
Systems. Networks. Security.  -- Robert Jordan: A Crown of Swords

---

From: Marc Blanchet <[email-masked]>
Date: Thu, 19 Sep 2002 12:15:24 -0400

-- jeudi, septembre 19, 2002 03:47:06 +0300 Pekka Savola 
<[email-masked]> wrote/a écrit:

>>  - teredo is one mechanism. In fact, what is needed is ipv6 over
>>  udp-ipv4  (i.e. nat traversal).
>> solution. It also enables the unmanaged network to receive automatic
>> data  needed for the unmanaged network: i.e. ipv6 network prefix for
>> example.  (reference = draft-parent-blanchet-ngtrans-tsp-teredo-00.txt).
>>  - the unmanaged draft says: "A variant of the [TEREDO] technology could
>>  be  used to establish
>>   (if this text refers to our draft, then the comment is not
>>   appropriate:  i.e. the variant is not standardized. teredo is also not
>> standardized yet.)
>
> particular, keeping the pipe open is also an important task.

agreed.

>  The draft

we had a hard time to write this document, because it was enough similar to 
teredo. So we decide to only state the diffs. And you are right that the 
info on the keep-alive/bubble is not really discussed.

should be fixed in the next rev.

> Further discussion on teredo/tsp should probably be sent to ngtrans.

I leave it to the chairs.